package com.sifang.modules.sys.extention.permission.utils;

import java.util.Map;

public class PermissionMapUtils {

    /**
     * !!!! 没完成，暂时不用
     * 合并oldMap和newMap，保留全部的newMap,去掉不包含newMap的oldMap中的
     * @param oldMap : 最开始的Map
     * @param newMap : 有条件的Map
     * @return
     */
    @Deprecated
    public static Map<String, String> unionMapExcludeFirstMap(Map<String, String> oldMap, Map<String, String> newMap){
        for(Map.Entry<String, String> ent : newMap.entrySet()){
            String key = ent.getKey();
            if(!oldMap.containsKey(key)){
                oldMap.put(key, ent.getValue());
            }
        }
        for(Map.Entry<String, String> ent : oldMap.entrySet()){
            String key = ent.getKey();
            if(!newMap.containsKey(key)){
                oldMap.remove(key);
            }
        }
        return oldMap;
    }
}
